import type { HighlightOptions, HighlightListItem } from './types/types';
import type { BytemdPlugin } from 'bytemd';
import highlightMap from "./constant/index";
type ThemeKeys = keyof typeof highlightMap;
declare const highlightList: {
    title: "a11y-dark" | "a11y-light" | "agate" | "an-old-hope" | "androidstudio" | "arduino-light" | "arta" | "ascetic" | "atelier-cave-dark" | "atelier-cave-light" | "atelier-dune-dark" | "atelier-dune-light" | "atelier-estuary-dark" | "atelier-estuary-light" | "atelier-forest-dark" | "atelier-forest-light" | "atelier-heath-dark" | "atelier-heath-light" | "atelier-lakeside-dark" | "atelier-lakeside-light" | "atelier-plateau-dark" | "atelier-plateau-light" | "atelier-savanna-dark" | "atelier-savanna-light" | "atelier-seaside-dark" | "atelier-seaside-light" | "atelier-sulphurpool-dark" | "atelier-sulphurpool-light" | "atom-one-dark-reasonable" | "atom-one-dark" | "atom-one-light" | "brown-paper" | "codepen-embed" | "color-brewer" | "darcula" | "dark" | "default" | "docco" | "dracula" | "far" | "foundation" | "github-gist" | "github" | "gml" | "googlecode" | "gradient-dark" | "gradient-light" | "grayscale" | "gruvbox-dark" | "gruvbox-light" | "hopscotch" | "hybrid" | "idea" | "ir-black" | "isbl-editor-dark" | "isbl-editor-light" | "kimbie.dark" | "kimbie.light" | "lightfair" | "lioshi" | "magula" | "mono-blue" | "monokai-sublime" | "monokai" | "night-owl" | "nnfx-dark" | "nnfx" | "nord" | "obsidian" | "ocean" | "paraiso-dark" | "paraiso-light" | "pojoaque" | "purebasic" | "qtcreator_dark" | "qtcreator_light" | "railscasts" | "rainbow" | "routeros" | "school-book" | "shades-of-purple" | "solarized-dark" | "solarized-light" | "srcery" | "sunburst" | "tomorrow-night-blue" | "tomorrow-night-bright" | "tomorrow-night-eighties" | "tomorrow-night" | "tomorrow" | "vs" | "vs2015" | "xcode" | "xt256" | "zenburn";
    style: string;
}[];
export { highlightList };
export declare function setTheme(themeName: ThemeKeys): void;
export declare function setCustomStyle(style: string): void;
export declare function changeHighLight(highlightItem: HighlightListItem | string): Promise<void>;
export default function theme(options?: HighlightOptions): BytemdPlugin;
